Skip to main content
GET
List Logs

Authorizations

Authorization
string
header
required

QStash authentication token

Query Parameters

cursor
string

By providing a cursor you can paginate through all of the logs

messageId
string

Filter logs by message ID

state
enum<string>

Filter logs by message state

Available options:
CREATED,
ACTIVE,
RETRY,
ERROR,
IN_PROGRESS,
DELIVERED,
CANCEL_REQUESTED,
CANCELLED
url
string

Filter logs by destination URL

topicName
string

Filter logs by URL Group name

scheduleId
string

Filter logs by schedule ID

queueName
string

Filter logs by queue name

fromDate
integer<int64>

Filter logs by starting date, in milliseconds (Unix timestamp). This is inclusive.

toDate
integer<int64>

Filter logs by ending date, in milliseconds (Unix timestamp). This is inclusive.

count
integer
default:100

The number of log entries to return.

Required range: x <= 100
label
string[]

Filter logs by label. Supports multi-value filtering. You can pass multiple values to match messages with any of the given labels (OR logic).

Examples:

  • label=my_label
  • label=label_1&label=label_2

Response

200 - application/json

List of logs

cursor
string

A cursor which you can use in subsequent requests to paginate through all logs. If no cursor is returned, you have reached the end of the logs.

logs
object[]